curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/write-offs' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"approved_by": "string",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"reason": "Two-person tent, green — replacement for damaged pole set."
}'
{
"amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"reversed": true,
"write_off_number": "string"
}
Ar create write off
Ar create write off
POST
/
api
/
v1
/
ar
/
write-offs
curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/write-offs' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"approved_by": "string",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"reason": "Two-person tent, green — replacement for damaged pole set."
}'
{
"amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"reversed": true,
"write_off_number": "string"
}
Request body
CreateArWriteOffRequest
string
required
Decimal amount as a string.
string,null
string
required
string,null
string
required
One of
uncollectible, bankruptcy, customer_dispute, small_balance, account_closed, deceased, other.Response
ArWriteOffResponse
string
required
string
required
string
required
string
required
string
required
string
required
boolean
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/write-offs' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"approved_by": "string",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"reason": "Two-person tent, green — replacement for damaged pole set."
}'
{
"amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"reversed": true,
"write_off_number": "string"
}
Last modified on August 31, 2026